Get Manufacturer Profile
Retrieves manufacturers brief profile based on unique manufacturer id
Path Parameters
- 200
- 422
Successful Response
Schema
- Array [
- ]
- Array [
- Array [
- Array [
- ]
- ]
- ]
- Array [
- ]
errors object[]
Error Type
Error Message
data object
System generated unique id to identify a AMC
User id of the employee updating the AMC record
Date and time stamp when the records were modified
AMC's customer service number
AMC's GST number
AMC's logo URL from S3 bucket
Name of AMC
AMC's PAN
AMC's short name
AMC's customer service toll free number, if any
riskProfile object[]
System generated unique id to identify a risk profile
maximum score of score range for a given risk profile
minimum score of score range for a given risk profile
Risk profile name
Risk profile description
Risk profile question code
Risk profile question description
Risk profile question name
Risk profile question score
product Applicable For
questionAnswerList object[]
System generated unique id to identify a risk profile question
risk profile question
sequence in which the question should display
mandatory Or Optional
holder
answersList object[]
System generated unique id to identify a risk profile question's answer
option to risk profile question
risk profile score for a given question and answer combination
sequence in which the answer should display
custodian object[]
{
"reqId": "string",
"errors": [
{
"errorType": "string",
"errorMessage": "string"
}
],
"data": {
"manufacturerId": 0,
"createdBy": 0,
"createdDate": "2025-12-10T05:00:15.186Z",
"manufacturerCustomerServiceNo": "string",
"manufacturerGst": "string",
"manufacturerLogoUrl": "string",
"manufacturerName": "string",
"manufacturerPan": "string",
"manufacturerFeeDeclaration": "string",
"manufacturerShortName": "string",
"manufacturerTollFreeNo": "string",
"riskProfile": [
{
"rpId": 0,
"maximumScore": 0,
"minimumScore": 0,
"rpCategory": "string",
"rpCategoryDescription": "string",
"rpCode": "string",
"rpDescription": "string",
"rpName": "string",
"rpProfileScore": "string",
"productApplicableFor": "string",
"questionAnswerList": [
{
"questionId": 0,
"question": "string",
"sequence": 0,
"mandatoryOrOptional": "string",
"holder": "string",
"answersType": "string",
"journeyCategory": "string",
"answersList": [
{
"answerId": 0,
"answer": "string",
"score": 0,
"sequence": 0
}
]
}
]
}
],
"custodian": [
{
"custodianId": "string",
"custodianName": "string"
}
]
}
}
Validation Error
Schema
- Array [
- Array [
- ]
- ]
detail object[]
loc object[] required
string
integer
{
"detail": [
{
"loc": [
"string",
0
],
"msg": "string",
"type": "string"
}
]
}